import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { IntangibleFactory } from '@react-microdata/intangible';
class MerchantReturnPolicy extends Mixin(IntangibleFactory, ItemFactory) {
    returnPolicyCategory({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnPolicyCategory", itemScope });
    }
    ;
    returnPolicyCountry({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnPolicyCountry", itemScope });
    }
    ;
    merchantReturnLink({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "merchantReturnLink", itemScope });
    }
    ;
    restockingFee({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "restockingFee", itemScope });
    }
    ;
    itemDefectReturnShippingFeesAmount({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "itemDefectReturnShippingFeesAmount", itemScope });
    }
    ;
    itemDefectReturnFees({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "itemDefectReturnFees", itemScope });
    }
    ;
    inStoreReturnsOffered({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "inStoreReturnsOffered", itemScope });
    }
    ;
    itemCondition({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "itemCondition", itemScope });
    }
    ;
    itemDefectReturnLabelSource({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "itemDefectReturnLabelSource", itemScope });
    }
    ;
    returnLabelSource({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnLabelSource", itemScope });
    }
    ;
    customerRemorseReturnShippingFeesAmount({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "customerRemorseReturnShippingFeesAmount", itemScope });
    }
    ;
    refundType({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "refundType", itemScope });
    }
    ;
    returnShippingFeesAmount({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnShippingFeesAmount", itemScope });
    }
    ;
    merchantReturnDays({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "merchantReturnDays", itemScope });
    }
    ;
    returnMethod({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnMethod", itemScope });
    }
    ;
    additionalProperty({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "additionalProperty", itemScope });
    }
    ;
    customerRemorseReturnLabelSource({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "customerRemorseReturnLabelSource", itemScope });
    }
    ;
    customerRemorseReturnFees({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "customerRemorseReturnFees", itemScope });
    }
    ;
    returnPolicySeasonalOverride({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnPolicySeasonalOverride", itemScope });
    }
    ;
    applicableCountry({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "applicableCountry", itemScope });
    }
    ;
    returnFees({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "returnFees", itemScope });
    }
    ;
}
const MerchantReturnPolicyFactory = new MerchantReturnPolicy();
export { MerchantReturnPolicyFactory };
export default MerchantReturnPolicy;
//# sourceMappingURL=MerchantReturnPolicyFactory.js.map